| Classes - Annotated - Tree - Functions - Home - Structure

# QDomNotation Class Reference
[ XML module ]

The QDomNotation class represents an XML notation. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomNotation ()
- QDomNotation ( const QDomNotation & x )
- QDomNotation& operator= ( const QDomNotation & )
- ~QDomNotation ()
- QString publicId () const
- QString systemId () const
- virtual QDomNode::NodeType nodeType () const
- virtual bool isNotation () const

## Detailed Description

The QDomNotation class represents an XML notation.

A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification).

DOM does not support editing notation nodes; they are therefore readonly.

A notation node does not have any parent.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomNotation::QDomNotation ()

Constructor.

### QDomNotation::QDomNotation ( const QDomNotation & x )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomNotation::~QDomNotation ()

Destructor.

### bool QDomNotation::isNotation () const `[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomNotation::nodeType() const `[virtual]`

Returns `NotationNode.`

Reimplemented from QDomNode.

### QDomNotation& QDomNotation::operator= ( const QDomNotation & x )

Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QString QDomNotation::publicId () const

Returns the public identifier of this notation.

### QString QDomNotation::systemId () const

Returns the system identifier of this notation.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.